components:
  schemas:
    FileSystem_v1_2_4_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/FileSystem_v1_2_4_OemActions'
          description: This property contains the available OEM specific actions for
            this resource.
          x-longDescription: This property shall contain any additional OEM actions
            for this resource.
          x-versionAdded: v1_1_0
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    FileSystem_v1_2_4_CharacterCodeSet:
      description: Supported character code standards for different alphabets and
        languages.
      enum:
      - ASCII
      - Unicode
      - ISO2022
      - ISO8859_1
      - ExtendedUNIXCode
      - UTF_8
      - UTF_16
      - UCS_2
      type: string
      x-enumDescriptions:
        ASCII: ASCII character encoding.
        ExtendedUNIXCode: Extended Unix Code encoding.
        ISO2022: ISO-2022 character encoding.
        ISO8859_1: ISO-8859-1 character encoding.
        UCS_2: UCS-2 character encoding.
        UTF_16: UTF-16 character encoding.
        UTF_8: UTF-8 character encoding.
        Unicode: Unicode character encoding.
      x-enumLongDescriptions:
        ASCII: This value shall indicate that the ASCII character encoding is supported
          by the file system.
        ExtendedUNIXCode: This value shall indicate that Extended Unix Code character
          encoding is supported by the file system.
        ISO2022: This value shall indicate that ISO-2022 character encoding is supported
          by the file system.
        ISO8859_1: This value shall indicate that ISO-8859-1 character encoding is
          supported by the file system.
        UCS_2: This value shall indicate that the UCS-2 character encoding is supported
          by the file system.
        UTF_16: This value shall indicate that the UTF-16 character encoding is supported
          by the file system.
        UTF_8: This value shall indicate that the UTF-8 character encoding is supported
          by the file system.
        Unicode: This value shall indicate that Unicode character encoding is supported
          by the file system.
      x-longDescription: The values shall indicate the character code standards supported
        by the file system.
    FileSystem_v1_2_4_FileSystem:
      additionalProperties: false
      description: An instance of a hierarchical namespace of files.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        AccessCapabilities:
          description: An array of supported IO access capabilities.
          items:
            oneOf:
            - $ref: http://redfish.dmtf.org/schemas/swordfish/v1/DataStorageLoSCapabilities.yaml#/components/schemas/DataStorageLoSCapabilities_StorageAccessCapability
            - enum:
              - null
          readOnly: false
          type: array
          x-longDescription: This property shall be an array containing entries for
            the supported IO access capabilities. Each entry shall specify a current
            storage access capability.
        Actions:
          $ref: '#/components/schemas/FileSystem_v1_2_4_Actions'
          description: The available actions for this resource.
          x-longDescription: The Actions property shall contain the available actions
            for this resource.
          x-versionAdded: v1_1_0
        BlockSizeBytes:
          description: Block size of the file system in bytes.
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: The value of this property shall be the block size of
            the file system in bytes.
          x-units: By
        Capacity:
          $ref: http://redfish.dmtf.org/schemas/swordfish/v1/Capacity.yaml#/components/schemas/Capacity_Capacity
          description: Capacity allocated to the file system.
          x-longDescription: The value of this property shall be the capacity allocated
            to the file system in bytes.
        CapacitySources:
          description: An array of capacity sources for the file system.
          items:
            $ref: http://redfish.dmtf.org/schemas/swordfish/v1/Capacity.yaml#/components/schemas/Capacity_CapacitySource
          readOnly: false
          type: array
          x-longDescription: This property shall be an array containing entries for
            all the capacity sources for the file system. Each entry shall provide
            capacity allocation information from a named resource.
        CapacitySources@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        CasePreserved:
          description: The case of file names is preserved by the file system.
          nullable: true
          readOnly: false
          type: boolean
          x-longDescription: This property shall indicate that the case of file names
            is preserved by the file system. A value of True shall indicate that case
            of file names shall be preserved.
        CaseSensitive:
          description: Case sensitive file names are supported by the file system.
          nullable: true
          readOnly: false
          type: boolean
          x-longDescription: This property shall indicate that case sensitive file
            names are supported by the file system. A value of True shall indicate
            that file names are case sensitive.
        CharacterCodeSet:
          description: An array of the character sets or encodings supported by the
            file system.
          items:
            oneOf:
            - $ref: '#/components/schemas/FileSystem_v1_2_4_CharacterCodeSet'
            - enum:
              - null
          readOnly: false
          type: array
          x-longDescription: This property shall be an array containing entries for
            the character sets or encodings supported by the file system. Each entry
            shall specify a character set encoding supported by the file system.
        ClusterSizeBytes:
          description: A value indicating the minimum file allocation size imposed
            by the file system.
          format: int64
          minimum: 1
          nullable: true
          readOnly: false
          type: integer
          x-longDescription: This value shall specify the minimum file allocation
            size imposed by the file system. This minimum allocation size shall be
            the smallest amount of storage allocated to a file by the file system.
            Under stress conditions, the file system may allocate storage in amounts
            smaller than this value.
          x-units: By
        Description:
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          - enum:
            - null
          readOnly: true
        ExportedShares:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: An array of exported file shares of this file system.
          readOnly: false
          x-longDescription: This property shall be an array of exported file shares
            of this file system. Each entry shall define an exported file share of
            this file system.
        IOStatistics:
          $ref: http://redfish.dmtf.org/schemas/swordfish/v1/IOStatistics.yaml#/components/schemas/IOStatistics_IOStatistics
          description: Statistics for this FileSystem.
          x-longDescription: The value shall represent IO statistics for this FileSystem.
          x-versionAdded: v1_2_0
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Identifiers:
          description: The durable names for this file system.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Identifier
          type: array
          x-longDescription: This property shall contain a list of all known durable
            names for this file system.
          x-versionAdded: v1_1_1
        ImportedShares:
          description: An array of imported file shares.
          items:
            $ref: http://redfish.dmtf.org/schemas/swordfish/v1/FileSystem.yaml#/components/schemas/FileSystem_ImportedShare
          type: array
          x-longDescription: The value shall be an array of imported file shares.
          x-versionAdded: v1_0_1
        Links:
          $ref: '#/components/schemas/FileSystem_v1_2_4_Links'
          description: Contains links to other resources that are related to this
            resource.
          x-longDescription: This property shall contain links to other resources
            that are related to this resource.
        LowSpaceWarningThresholdPercents:
          description: An array of low space warning threshold percentages for the
            file system.
          items:
            format: int64
            nullable: true
            type: integer
          maximum: 100
          minimum: 0
          readOnly: false
          type: array
          x-longDescription: 'This property shall be an array containing entries for
            the percentages of file system capacity at which low space warning events
            are be issued. A LOW_SPACE_THRESHOLD_WARNING event shall be triggered
            each time the remaining file system capacity value becomes less than one
            of the values in the array. The following shall be true: Across all CapacitySources
            entries, percent = (SUM(AllocatedBytes) - SUM(ConsumedBytes))/SUM(AllocatedBytes).'
          x-units: '%'
        MaxFileNameLengthBytes:
          description: A value indicating the maximum length of a file name within
            the file system.
          format: int64
          minimum: 1
          nullable: true
          readOnly: false
          type: integer
          x-longDescription: If specified, this value shall specify the maximum length
            of a file name within the file system.
          x-units: By
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        RecoverableCapacitySourceCount:
          description: Current number of capacity source resources that are available
            as replacements.
          format: int64
          nullable: true
          readOnly: false
          type: integer
          x-longDescription: The value is the number of available capacity source
            resources currently available in the event that an equivalent capacity
            source resource fails.
          x-versionAdded: v1_2_0
        RemainingCapacity:
          $ref: http://redfish.dmtf.org/schemas/swordfish/v1/Capacity.yaml#/components/schemas/Capacity_Capacity
          deprecated: true
          description: Remaining capacity allocated to the file system.
          x-deprecatedReason: 'This property is deprecated in favor of the Capacity
            property.  The RemainingCapacity can be computed from the values of that
            property, for each of the sub groups xxx: Data, MetaData, and Snapshot.  The
            RemainingCapacity is xxx/ProvisionedBytes - xxx/ConsumedBytes.'
          x-longDescription: The value of this property shall be the remaining capacity
            allocated to the file system in bytes.
        RemainingCapacityPercent:
          description: The percentage of the capacity remaining in the FileSystem.
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: If present, this value shall return  {[(SUM(AllocatedBytes)
            - SUM(ConsumedBytes)]/SUM(AllocatedBytes)}*100 represented as an integer
            value.
          x-versionAdded: v1_1_0
        ReplicaInfo:
          $ref: http://redfish.dmtf.org/schemas/swordfish/v1/StorageReplicaInfo.yaml#/components/schemas/StorageReplicaInfo_ReplicaInfo
          description: This value describes the replica attributes if this file system
            is a replica.
          x-longDescription: If this file system is a replica, this value shall describe
            its replication attributes. This value shall not be present if this file
            system is not a replica. A file system may be both a source and a replica.
        ReplicaTargets:
          description: The resources that are target replicas of this source.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: true
          type: array
          x-longDescription: The value shall reference the target replicas that are
            sourced by this replica.
          x-versionAdded: v1_2_1
        ReplicaTargets@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall be used to represent an instance of a
        hierarchical namespace of files.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    FileSystem_v1_2_4_Links:
      additionalProperties: false
      description: Contains links to other resources that are related to this resource.
      properties:
        ClassOfService:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The ClassOfService of this file system.
          readOnly: true
          x-longDescription: This value shall be a link to the ClassOfService for
            this file system.
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties contained in this object shall conform to the Redfish
            Specification-described requirements.
        ReplicaCollection:
          deprecated: true
          description: An array of links to replicas for this file system.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: true
          type: array
          x-deprecatedReason: Deprecated in favor of ReplicaTargets.
          x-longDescription: This property shall be an array of links to replicas
            for this file system. Each entry shall be a link to a replica for this
            file system.
        ReplicaCollection@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        SpareResourceSets:
          description: An array of references to SpareResourceSets.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: false
          type: array
          x-longDescription: Each referenced SpareResourceSet shall contain resources
            that may be utilized to replace the capacity provided by a failed resource
            having a compatible type.
          x-versionAdded: v1_2_0
        SpareResourceSets@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
      type: object
      x-longDescription: This property shall contain links to other resources that
        are related to this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    FileSystem_v1_2_4_OemActions:
      additionalProperties: true
      description: The available OEM specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain any additional OEM actions for this
        resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#FileSystem.v1_2_4.FileSystem'
x-copyright: Copyright 2015-2025 Storage Networking Industry Association (SNIA), USA.
  All rights reserved.
x-language: en
x-owningEntity: SNIA
x-release: 1.0.7a
